Skip to main content
GET
/
api
/
v1
/
invoices
/
{invoice_id}
Get Invoice
curl --request GET \
  --url https://staging.cutmake.ai/api/v1/invoices/{invoice_id}
{
  "id": "<string>",
  "invoiceNumber": "<string>",
  "invoiceType": "<string>",
  "salesOrderId": "<string>",
  "clientId": "<string>",
  "clientName": "<string>",
  "currency": "<string>",
  "subtotal": 123,
  "taxRate": 123,
  "taxAmount": 123,
  "totalAmount": 123,
  "paidAmount": 123,
  "remainingBalance": 123,
  "issuedDate": "<string>",
  "dueDate": "<string>",
  "status": "<string>",
  "notes": "<string>",
  "createdAt": "<string>",
  "lineItems": [
    {
      "id": "<string>",
      "invoiceId": "<string>",
      "salesOrderLineItemId": "<string>",
      "description": "<string>",
      "qty": 123,
      "unitPrice": 123,
      "amount": 123
    }
  ]
}

Path Parameters

invoice_id
string
required

Response

Successful Response

id
string
required
invoiceNumber
string
required
invoiceType
string | null
salesOrderId
string | null
clientId
string | null
clientName
string | null
currency
string | null
subtotal
number | null
taxRate
number | null
taxAmount
number | null
totalAmount
number | null
paidAmount
number | null
remainingBalance
number | null
issuedDate
string | null
dueDate
string | null
status
string | null
notes
string | null
createdAt
string | null
lineItems
InvoiceLineItem · object[] | null